﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls;

namespace TreeViewCheckedItems
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			// OK
			//treeView.ItemsSource = Enumerable.Range(1, 10).Select(i =>
			//    new MyData
			//    {
			//        Title = "Item " + i,
			//        IsChecked = false,
			//        Children = Enumerable.Range(1, 10).Select(j =>
			//            new MyData { 
			//                Title = "Child " + j,
			//                IsChecked = j % 2 == 1
			//            }).ToList()
			//    }).ToList();

			// OK:
			//treeView.ItemsSource = Enumerable.Range(1, 10).Select(i =>
			//    new RadTreeViewItem
			//    {
			//        Header = "Item " + i,
			//        //IsChecked = false,
			//        ItemsSource = Enumerable.Range(1, 10).Select(j =>
			//            new RadTreeViewItem { 
			//                Header = "Child " + j,
			//                IsChecked = j % 2 == 1
			//            }).ToList()
			//    }).ToList();

			foreach (var parent in Enumerable.Range(1, 10).Select(i => new RadTreeViewItem { Header = "Item " + i }))
			{
				foreach (var child in Enumerable.Range(1, 10).Select(j => new RadTreeViewItem { Header = "Child " + j, IsChecked = j % 2 == 1 }))
				{
					parent.Items.Add(child);
				}
				treeView.Items.Add(parent);
			}
		}
	}

	public class MyData
	{
		public string Title { get; set; }
		public IEnumerable<MyData> Children { get; set; }
		public bool? IsChecked { get; set; }
	}
}
